These are chat archives for Fortran-FOSS-Programmers/General-Discussion

11th
Aug 2018
Izaak "Zaak" Beekman
@zbeekman
Aug 11 2018 19:53
@giacombum there’s some very antiquated code still in opencoarrays for GPU, however it probably requires GFortran 5 or 6 (maybe even 4.9?) to run. It’s unlikely that we will devote effort to this work unless either a) we receive funding (enough to pay someone qualified to implement it) or b) someone volunteers to implement it. In the short term we are working to support Arm/Flang18 which should help clean up and abstract the code somewhat. That should make porting to GPU less of a burden in the future.